()

NAME
pmem2_perror() - prints a descriptive error message to stderr

SYNOPSIS

        #include <libpmem2.h>
        void pmem2_perror(const char *format, ...);

DESCRIPTION
The pmem2_perror() function produces a message on standard error stream describing the last error encountered during library call.

pmem2_perror() takes a variable number of arguments. First, the argument string format is printed - similarly to the printf(3), followed by a colon and a blank. Then an error message retrieved from the pmem2_errormsg(), and a new-line. To see how the error message is generated, please see pmem2_errormsg(3).

SEE ALSO
libpmem2(7), perror(3), pmem2_errormsg(3), printf(3) and https://pmem.io